package ru.yandex.webmaster3.core.semantic.semantic_document_parser.tanker;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 1/30/12
 * Time: 12:30 PM
 */
public class TankerUtils {

    public static Map<String, LanguageContext> contextMap(final KeySet keySet, final List<String> langs) {
        final HashMap<String,LanguageContext> result = new HashMap<String, LanguageContext>();
        for (final String lang : langs) {
            result.put(lang,new LanguageContext(keySet,lang));
        }
        return result;
    }

}
